com.oracle.truffle.api

## Class ExecutionContext

- java.lang.Object
- - com.oracle.truffle.api.ExecutionContext

    public abstract class ExecutionContext
    extends java.lang.Object

Access to information and basic services in the runtime context for a Truffle-implemented guest language.

Disclaimer: this class is under development and will change.

### Constructor Summary

Constructors
`protected` `ExecutionContext()`

### Method Summary

Methods
`CompilerOptions` `getCompilerOptions()` Get compiler options specific to this `ExecutionContext`.
`abstract java.lang.String` `getLanguageShortName()` Gets the name of the language, possibly with version number.
`Visualizer` `getVisualizer()` Access to information visualization services for the specific language.
`void` `setVisualizer(Visualizer visualizer)` Assign guest language-specific visualization support for tools.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ExecutionContext

    protected ExecutionContext()

### Method Detail

#### getVisualizer

    public final Visualizer getVisualizer()

Access to information visualization services for the specific language.

#### setVisualizer

    public final void setVisualizer(Visualizer visualizer)

Assign guest language-specific visualization support for tools. This must be assigned outside the implementation context to avoid build circularities.

#### getLanguageShortName

    public abstract java.lang.String getLanguageShortName()

Gets the name of the language, possibly with version number. in short enough form that it might be used for an interactive prompt.

#### getCompilerOptions

    public CompilerOptions getCompilerOptions()

Get compiler options specific to this `ExecutionContext`.